cURL
Paginated query of the Agent list under the current tenant, supporting filtering by scenario, status, name, and knowledge base ID.
Authorizations
string
header
required
DashScope API Key,在控制台 API Key 页面 获取。
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Paginated query of the Agent list under the current tenant
curl -X POST "https://{workspaceId}.cn-beijing.maas.aliyuncs.com/api/v1/indices/rag/app/list" \
-H "Authorization: Bearer $DASHSCOPE_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"agent_scene": "chat",
"page_number": 1,
"page_size": 20
}'{
"request_id": "e5f6a7b8-c9d0-1234-efab-345678901234",
"status_code": 200,
"code": "Success",
"message": "",
"status": "SUCCESS",
"success": true,
"data": {
"page_number": 1,
"page_size": 20,
"total_count": 2,
"rows": [
{
"agent_id": "aid-8f3a1b2c4d5e6f70",
"agent_name": "客服知识问答助手",
"agent_scene": "chat",
"agent_status": "deployed",
"agent_version": "2",
"create_time": "2026-07-10T14:30:00",
"modify_time": "2026-07-15T09:15:00",
"pipeline_list": [
{
"pipeline_id": "pipeline-xxxxxx",
"pipeline_name": "产品文档知识库"
}
]
},
{
"agent_id": "aid-1a2b3c4d5e6f7a8b",
"agent_name": "技术文档检索助手",
"agent_scene": "chat",
"agent_status": "draft",
"agent_version": "beta",
"create_time": "2026-07-12T10:00:00",
"modify_time": "2026-07-12T10:00:00",
"pipeline_list": [
{
"pipeline_id": "pipeline-yyyyyy",
"pipeline_name": "技术文档知识库"
},
{
"pipeline_id": "pipeline-zzzzzz",
"pipeline_name": "FAQ 知识库"
}
]
}
]
}
}DashScope API Key,在控制台 API Key 页面 获取。
请求唯一标识,排查问题时请提供此 ID。
HTTP 状态码。
响应码,成功时为 Success。
提示信息。
请求状态:SUCCESS 或 FAILED。
请求是否成功。
Show child attributes
当前页码。
每页条数。
总记录数。
curl -X POST "https://{workspaceId}.cn-beijing.maas.aliyuncs.com/api/v1/indices/rag/app/list" \
-H "Authorization: Bearer $DASHSCOPE_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"agent_scene": "chat",
"page_number": 1,
"page_size": 20
}'{
"request_id": "e5f6a7b8-c9d0-1234-efab-345678901234",
"status_code": 200,
"code": "Success",
"message": "",
"status": "SUCCESS",
"success": true,
"data": {
"page_number": 1,
"page_size": 20,
"total_count": 2,
"rows": [
{
"agent_id": "aid-8f3a1b2c4d5e6f70",
"agent_name": "客服知识问答助手",
"agent_scene": "chat",
"agent_status": "deployed",
"agent_version": "2",
"create_time": "2026-07-10T14:30:00",
"modify_time": "2026-07-15T09:15:00",
"pipeline_list": [
{
"pipeline_id": "pipeline-xxxxxx",
"pipeline_name": "产品文档知识库"
}
]
},
{
"agent_id": "aid-1a2b3c4d5e6f7a8b",
"agent_name": "技术文档检索助手",
"agent_scene": "chat",
"agent_status": "draft",
"agent_version": "beta",
"create_time": "2026-07-12T10:00:00",
"modify_time": "2026-07-12T10:00:00",
"pipeline_list": [
{
"pipeline_id": "pipeline-yyyyyy",
"pipeline_name": "技术文档知识库"
},
{
"pipeline_id": "pipeline-zzzzzz",
"pipeline_name": "FAQ 知识库"
}
]
}
]
}
}